//	WinDjView
//	Copyright (C) 2004-2007 Andrew Zhezherun
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License version 2
//	as published by the Free Software Foundation.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//	http://www.gnu.org/copyleft/gpl.html

// $Id: SettingsDictPage.h,v 1.3 2007/03/25 14:20:31 zhezherun Exp $

#pragma once


// CSettingsDictPage dialog

class CSettingsDictPage : public CPropertyPage
{
	DECLARE_DYNAMIC(CSettingsDictPage)

public:
	CSettingsDictPage();
	virtual ~CSettingsDictPage();

// Dialog Data
	enum { IDD = IDD_SETTINGS_DICT };
	CListCtrl m_list;
	CString m_strDictLocation;

protected:
	CImageList m_imgList;

	static int CALLBACK BrowseCallbackProc(HWND hwnd, UINT uMsg, LPARAM lParam, LPARAM lpData);

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	afx_msg void OnKickIdle();
	afx_msg void OnUninstall();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnBrowseLocation();
	DECLARE_MESSAGE_MAP()
};
