//	WinDjView
//	Copyright (C) 2004-2007 Andrew Zhezherun
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License version 2
//	as published by the Free Software Foundation.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//	http://www.gnu.org/copyleft/gpl.html

// $Id: SettingsDlg.h,v 1.15 2007/03/14 18:38:33 zhezherun Exp $

#pragma once

#include "AppSettings.h"
#include "SettingsGeneralPage.h"
#include "SettingsDisplayPage.h"
#include "SettingsAssocsPage.h"
#include "SettingsDictPage.h"


// CSettingsDlg dialog

class CSettingsDlg : public CPropertySheet
{
	DECLARE_DYNAMIC(CSettingsDlg)

public:
	CSettingsDlg(CWnd* pParent = NULL);
	virtual ~CSettingsDlg();

	CSettingsGeneralPage m_pageGeneral;
	CSettingsDisplayPage m_pageDisplay;
	CSettingsAssocsPage m_pageAssocs;
	CSettingsDictPage m_pageDict;

protected:
	CFont m_font;
	CStatic m_ctlAbout;

	virtual BOOL OnInitDialog();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnKickIdle();
	DECLARE_MESSAGE_MAP()
};
